#ifndef _SPHERE
#define _SPHERE

#include "ray.h"

class Sphere
{
   public:
      Vec3 pos;
      double size;
      Material mat;
      //  Constructor
      Sphere(Vec3 p,double s,Material m)
      {
         pos  = p;
         size = s;
         mat  = m;
      }
      //  Move sphere
      void move(Vec3 p)
      {
         pos  = p;
      }
      //  Intersection
      bool hit(Ray& r);
};

#endif
